@import 'src/styles.scss';

.ecl-card__body {
  padding: 0;
  &::before {
    display: none;
  }
}

.ecl-fact-figures {
  background-color: unset;
  padding: 0;
}

.ecl-text-input {
  width: 100%;
  border-radius: 4px 0 0 4px;
  padding-right: 4rem;
}

h1 {
  margin: 0 0 0.5rem 0;
  font-size: 2.375rem;
  line-height: 3.25rem;
  color: #171a22;
  font-weight: normal;
}

h2 {
  font-size: 1.75rem;
  line-height: 2.625rem;
  color: #171a22;
  margin: 0;
  font-weight: normal;
}

.sections-background {
  background: linear-gradient(to bottom, #e6ecf4, #ffffff);
}

.header-section {
  padding: 5.375rem 0 0 0;
  margin: 0 0 2rem 0;
  &__description {
    font-size: 1.125rem;
    line-height: 1.75rem;
    color: #404040;
    margin: 0 0 2rem 0;
  }
  &__link-container {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    color: #0e47cb;
    a {
      text-decoration: unset;
      color: #0e47cb;
    }
  }
}

.search-section {
  margin-bottom: 4rem;
  & > div {
    display: flex;
  }
  &__search-bar-container {
    position: relative;
    width: 75%;
    &:focus-within ul,
    input:focus-visible ~ ul {
      display: block;
    }
  }
  &__search-bar-close {
    position: absolute;
    right: 1.5rem;
    top: 0.8rem;
    background-color: transparent;
    border: unset;
    cursor: pointer;
    margin: 0;
    padding: 0;
  }
  &__search-bar-search {
    border-radius: 0 4px 4px 0;
    position: absolute;
    left: 100%;
    box-shadow:
      0 0.125rem 0.25rem 0 rgba(9, 49, 142, 0.0784313725),
      0 0 0.625rem 0 rgba(9, 49, 142, 0.0784313725),
      0 0.25rem 0.3rem 0 rgba(9, 49, 142, 0.0784313725),
      0 -0.25rem 0.25rem 0 rgba(9, 49, 142, 0.0784313725);
    height: 100%;
  }
  &__results-container {
    overflow: auto;
    position: absolute;
    display: none;
    top: 1.75rem;
    background-color: white;
    z-index: 49;
    width: 100%;
    max-height: 10rem;
    border-radius: 0.25rem;
    padding: 0;
    list-style: none;
    li {
      padding: 0.75rem;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      &:hover {
        cursor: pointer;
        background-color: #f3f6fc;
      }
    }
    &:focus-visible {
      display: flex;
    }
  }
  &__suggestions-container {
    align-items: center;
    gap: 0.5rem;
    ul {
      list-style: none;
      display: flex;
      gap: 0.5rem;
      flex-wrap: wrap;
    }
  }
  &__suggestions-link {
    display: inline-block;
    color: #0e47cb;
    background-color: #f5f5f5;
    border-radius: 3rem;
    padding: 0.5rem 0.75rem;
    font-size: 0.875rem;
    line-height: 1rem;
    cursor: pointer;
    text-decoration: none;
  }
}

.stakeholders-section {
  margin-bottom: 5.8rem;
  &__cards-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2.6rem;
    @include tablet-large {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
    }
  }
  &__cards-item {
    width: 20rem;
    height: auto;
    padding: 1rem;
    background-color: #f5f5f5;
    @include tablet-large {
      width: auto;
    }
    h3 {
      margin: 0.5rem 0;
      color: #171a22;
      font-size: 1.25rem;
      line-height: 1.5rem;
    }
  }
}

.figures-section {
  padding: 3rem 0;
  background-color: #f9f9f9;
  &__title-wrapper {
    width: 75%;
  }
  &__description {
    font-size: 1.125rem;
    line-height: 1.5rem;
    color: #404040;
  }
  img {
    width: 4.3rem;
    margin-left: -0.5rem;
  }
}

.info-section {
  display: flex;
  gap: 2.5rem;
  flex-wrap: wrap;
  margin-top: 4rem;
  @include desktop {
    flex-wrap: nowrap;
  }
  img {
    max-width: 100%;
    margin: auto;
  }
  &__information-container {
    h2 {
      margin: 0 0 1rem 0;
    }
    h3 {
      font-size: 1.375rem;
      line-height: 1.5rem;
      margin: 0 0 1rem 0;
    }
  }
  &__information-content {
    font-size: 1.125rem;
    line-height: 1.5rem;
    margin: 0 0 2rem 0;
    p {
      margin: 0;
      color: #404040;
    }
  }
  &__link-container {
    display: inline-flex;
    gap: 0.5rem;
    align-items: center;
  }
  &__link {
    font-size: 1rem;
    line-height: 1.5rem;
    color: #0e47cb;
    text-decoration: none;
  }
}

.ecl-text-input {
  padding-right: 0.25rem !important;
}
